@charset "UTF-8";

.go-progtrckr {
    $sys-brand-info: #3c85fd;
    $sys-brand-muted: #666;
    position: relative;
    > ul > li,
    > li {
        position: relative;
    }
    .go-progtrckr-done {
        &:after {
            background-color: $sys-brand-info;
            z-index: 1;
        }
        span {
            display:inline-block;
            width:25px;
            height:25px;
            text-align:center;
            line-height:25px;
            border-radius:50%;
            background-color: $sys-brand-info;
        }
        .go-progtrckr-item {
            padding-top: 20px;
        }
        .text-brown{
            color:#6b6b6b;
        }
    }
    .go-progtrckr-todo {
        &:after {
            background-color: $sys-brand-muted;
        }
        span {
            display:inline-block;
            width:25px;
            height:25px;
            border-radius:50%;
            line-height:25px;
            text-align:center;
            background-color: $sys-brand-muted;
        }
        .text-brown{
            color:#6b6b6b;
        }
    }
    .go-progtrckr-text {
        display: inline-block;
        vertical-align: middle;
        @include box-sizing(content-box);
        width: 25px;
        height: 25px;
        line-height: 25px;
        @include border-radius(50%);
        color: #FFF;
        text-align: center;
        padding:10px;
        position: relative;
        z-index: 3;
        background-color:#fff;
    }
}

// horizontal
.go-progtrckr-horizontal {
    display: table;
    width: 100%;
    overflow: hidden;
    > ul > li,
    > li {
        display: table-cell;
        text-align: center;
        + li:after {
            content: "";
            position: absolute;
            top: 50%;
            right: 50%;
            left: -50%;
            height: 3px;
        }
        &:first-child:after {
            content: "";
            position: absolute;
            top: 50%;
            right: 50%;
            left: -100%;
            height: 3px;
            background-color: #FFF !important;
            z-index: 2;
        }
    }
}
